## fim 0.5.3

=== src/testdir/Makefile ===
#
# Makefile to run all tests for Fim (Vim-styled!)
#

BASE=../../
FIMPROG = $(BASE)/src/fim

# Uncomment this line for using valgrind.
# The output goes into a file "valgrind.$PID" (sorry, no test number).
# VALGRIND = valgrind --tool=memcheck --leak-check=yes --num-callers=15 --log-file=valgrind.log

SCRIPTS = test1.out test2.out test3.out test4.out test5.out test6.out test7.out test8.out test9.out test10.out test11.out test12.out test13.out test14.out test15.out test16.out

.SUFFIXES: .in .out

nongui: nolog $(SCRIPTS)
	@echo
	@cat test.log
	@echo "[*] ALL DONE"


$(SCRIPTS): $(FIMPROG)

clean:
	-rm -rf *.out *.failed *.rej *.orig test.log tiny.fim small.fim mbyte.fim test.ok X* valgrind.pid* fiminfo

.in.out:
	-rm -rf $*.failed test.ok test.out X* fiminfo
	cp $*.ok test.ok
	# Sleep a moment to avoid that the xterm title is messed up
	@-sleep .2
	-$(VALGRIND) $(FIMPROG) -o dumb                                           -c "quit;" -N --no-etc-rc-file -E $*.in $(BASE)/media/*jpg $(BASE)/media/fim.png $(BASE)/media/image.png > test.out
#	-$(VALGRIND) $(FIMPROG) -u unix.fim -U NONE --noplugin -s dotest.in $*.in
	@/bin/sh -c "if test -f test.out; then\
                  if diff $*.ok test.out; \
                  then mv -f test.out $*.out; \
                  else echo $* FAILED >>test.log; mv -f test.out $*.failed; \
                  fi \
                else echo $* NO OUTPUT >>test.log; \
                fi"
	-rm -rf X* test.ok fiminfo

nolog:
	-echo Test results: >test.log

## fim 0.5~rc2

=== debian/changelog ===
fim (0.5~rc2-1) unstable; urgency=medium

  * New upstream release snapshot (Closes: #814673).
  * Use watch file version 4.
  * Switch to autoreconf.
  * Wrap-and-sort
  * Remove autistici from watch file.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Feb 2016 08:56:58 +0100

fim (0.5~rc1-1) unstable; urgency=medium

  * New upstream release snapshot.
  * Bump std-version to 3.9.7, no changes required.
  * Use autoreconf
  * Add libsdl1.2-dev and libexif-dev to build-dependencies.

 -- Michele Martone <michele.martone@uniroma2.it>  Thu, 04 Feb 2016 14:44:43 +0100

fim (0.3-beta-prerelease-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Please Build-Depends on libjpeg-dev, not libjpeg62-dev":
    do as the bug report request.
    (Closes: #633935)
  * Also fix "FTBFS with libpng 1.5" while we're there: apply patch from
    Nobuhiro Iwamatsu: preparation for libpng 1.5 transition.
    (Closes: #636968)

 -- gregor herrmann <gregoa@debian.org>  Thu, 26 Jan 2012 21:41:23 +0100

fim (0.3-beta-prerelease-1.2) unstable; urgency=high

  * Updated to svn revision 273
  * Fixes compilation problems on sid / g++-4.4 (Closes: #560453) (Closes: #564233)
  * Replaced libreadline5-dev dependency with libreadline-dev (Closes: #553755)
  * Enabled djvu files rendering.

 -- Michele Martone <michele.martone@uniroma2.it>  Thu, 21 Jan 2010 03:25:24 +0100

fim (0.3-beta-prerelease-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build for all archs (Closes: #541696)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 13 Oct 2009 23:47:48 +0200

fim (0.3-beta-prerelease-1) unstable; urgency=low

  * Initial release (Closes: #532261)

 -- Michele Martone <michele.martone@uniroma2.it>  Sun, 26 Jul 2009 13:37:50 +0200

=== debian/control ===
Source: fim
Section: graphics
Priority: extra
Maintainer: Michele Martone <michele.martone@uniroma2.it>
Build-Depends: bison,
               debhelper (>= 9),
               dh-autoreconf,
               flex,
               libaa1-dev,
               libdjvulibre-dev,
               libexif-dev,
               libgif-dev,
               libjpeg-dev,
               libpng-dev,
               libreadline-dev,
               libsdl1.2-dev,
               libtiff-dev
Standards-Version: 3.9.7
Homepage: http://savannah.nongnu.org/projects/fbi-improved/

Package: fim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: a scriptable frame buffer and ascii art image viewer
 FIM is a highly customizable and scriptable image viewer targeted at the
 users who are confortable with software like the Vim text editor or the Mutt
 mail user agent (it aims to be a swiss army knife for viewing images).
 It is based on the Fbi image viewer (by Gerd Hoffmann), and works primarily in
 the Linux framebuffer console.
 It is multidevice: it has X support, too (via the SDL library) and it supports
 ascii art output (via the aalib library).
 It is capable of regular expressions based (on filename) image viewing,vim-like
 autocommands, it offers GNU readline command line autocompletion and history,
 completely customizable key bindings, external/internal (if-while based)
 scriptability (through return codes, standard input/output, and commands given
 at invocation time, initialization file), internal filename-based image search,
 and much more features.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_auto_test:

=== debian/watch ===
version=3
http://download.savannah.nongnu.org/releases/fbi-improved/fim-(.*)\.tar\.gz

## fim 0.5~rc3

=== debian/changelog ===
fim (0.5~rc3-2build1) bionic; urgency=medium

  * No-change rebuild to pick up the shared flex library.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Feb 2018 07:01:30 +0000

fim (0.5~rc3-2) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.1.2 (no changes needed)
    + Use URLs from Debian's GitLab server
  * d/watch: Use secure URL

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 23 Dec 2017 07:05:58 -0200

fim (0.5~rc3-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/copyright: Use secure URL in Format
  * d/control: Drop useless build-dependency on dh-autoreconf
  * d/control: Bump Standards-version to 4.0.0 (no changes needed)
  * d/watch: Bump to format version 4
  * d/control: Change Priority to optional.
    The priority extra is deprecated in Debian Policy 4.0.1.0.

  [ Michele Martone ]
  * New upstream version 0.5~rc3
  * Debian 0.5~rc2 patches integrated in 0.5~rc3 upstream.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 08 Aug 2017 02:55:26 -0300

fim (0.5~rc2-5) unstable; urgency=medium

  [ Michele Martone ]
  * d/control: Added libfl-dev to the Build-Depends list.
    Thanks to Helmut Grohne for notification. (Closes: #846424)

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 05 Dec 2016 21:31:53 -0200

fim (0.5~rc2-4) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Change email address of Michele Martone

  [ Michele Martone ]
  * d/control: Updated and corrected the "Description:" field

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 12 Nov 2016 12:35:30 -0200

fim (0.5~rc2-3) unstable; urgency=medium

  * d/p/allow-concurrent-bison.patch: New patch (Closes: 842751)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Nov 2016 09:48:49 -0200

fim (0.5~rc2-2) unstable; urgency=medium

  * Bump debhelper compatibility level to 10
  * d/control:
    + Add Vcs-* URL fields
    + Add myself to the list of Uploaders
    + Bump Standards-Version to 3.9.8 (no changes needed)
    + Drop article at the beginning of package synopsis
  * d/rules:
    + Avoid installation of duplicated upstream changelog
    + Use hardening flags
    + Build-depends on groff
  * d/watch: Ignore the "-trunk" upstream tarballs
  * Use upstream tarball cryptographic signature
    + d/watch: Add pgpsigurlmangle option
    + d/u/signing-key.asc: Add file with GPG key of upstream author
  * d/s/options: Add file with extend-diff-ignore list
  * d/docs: Drop duplicated entry
  * d/p/endianness-robust.patch: Add patch (Closes: 841471)

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 31 Oct 2016 06:49:34 -0200

=== debian/control ===
Source: fim
Section: graphics
Priority: optional
Maintainer: Michele Martone <michelemartone@users.sourceforge.net>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: bison,
               debhelper (>= 10),
               flex,
               groff,
               libaa1-dev,
               libdjvulibre-dev,
               libexif-dev,
               libgif-dev,
               libjpeg-dev,
               libpng-dev,
               libreadline-dev,
               libsdl1.2-dev,
               libtiff-dev,
               libfl-dev
Standards-Version: 4.1.2
Homepage: http://savannah.nongnu.org/projects/fbi-improved/
Vcs-Git: https://salsa.debian.org/debian/fim.git
Vcs-Browser: https://salsa.debian.org/debian/fim

Package: fim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: scriptable frame buffer, X.org and ascii art image viewer
 FIM is a highly customizable scriptable image viewer targeted at the
 users who are comfortable with software like the Vim text editor or the Mutt
 mail user agent. FIM aims to be a "swiss army knife" for viewing images.
 Its code derives from the "Fbi" framebuffer image viewer by Gerd Hoffmann.
 FIM is multidevice: it has X support via the SDL library and ascii art output
 via the aalib library.
 .
 It supports image description files, file search and filtering using regular
 expressions on filenames and descriptions, caption display, customizable
 status line, EXIF tags display, EXIF-based image rotation, recursive directory
 traversal, reading from stdin, and can e.g. jump between two images
 remembering scale and position.
 .
 It can speed up loading by image caching and speed up scaling with mipmaps.
 It offers GNU readline command line autocompletion and history,
 completely customizable key bindings, external/internal (if-while based)
 scriptability (through return codes, standard input/output, and commands given
 at invocation time, an initialization file, Vim-like autocommands), and much
 more.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
	## Avoid installation of duplicated upstream changelog
	rm -f debian/fim/usr/share/doc/fim/ChangeLog

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://download.savannah.nongnu.org/releases/fbi-improved/fim-([\d.]+(?:-rc\d)?)\.tar\.gz

## fim 0.5.3

=== debian/changelog ===
fim (0.5.3-9) unstable; urgency=medium

  * d/copyright: Update copyright year for the debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Sun, 21 Nov 2021 04:56:05 -0300

fim (0.5.3-8) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * d/p/honor-cppflags.patch: New patch
  * d/fim.lintian-overrides: Add Lintian overide spelling-error-in-binary

 -- Rafael Laboissière <rafael@debian.org>  Sun, 14 Nov 2021 03:02:05 -0300

fim (0.5.3-7) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Sun, 15 Aug 2021 05:28:18 -0300

fim (0.5.3-6) experimental; urgency=medium

  * d/control: Force build-dependency on autoconf >= 2.71

 -- Rafael Laboissière <rafael@debian.org>  Fri, 09 Jul 2021 14:03:23 -0300

fim (0.5.3-5) experimental; urgency=medium

  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/rules: Use execute_after_ instead of override_dh_auto_install
  * d/p/update-configure-ac.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Fri, 09 Jul 2021 06:35:24 -0300

fim (0.5.3-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set field Upstream-Name in debian/copyright.
  * Drop unnecessary dependency on dh-autoreconf.

 -- Rafael Laboissière <rafael@debian.org>  Fri, 31 Jul 2020 17:53:29 -0300

fim (0.5.3-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibitlity level to 13
  * d/p/compile-with-gcc-10.patch: New patch (Closes: #957202)
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Mon, 20 Jul 2020 03:35:22 -0300

fim (0.5.3-2) unstable; urgency=medium

  * d/p/compile-with-gcc-9.patch: New patch (Closes: #925679)
  * d/p/reproducible-build.patch: New patch.
    Thanks to Chris Lamb (Closes: #928183)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 13 Jul 2019 07:12:26 -0300

fim (0.5.3-1) unstable; urgency=medium

  * New upstream version 0.5.3
    This is not really a new upstream version, but a change in the
    version numbering scheme, replacing the "-rc" by ".".  This
    avoids the Lintian warning about hyphen in the upstream part of
    the Debian changelog version.
  * d/watch: Mangle upstream version according to new scheme
  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 12 Jul 2019 20:10:41 -0300

fim (0.5~rc3-4) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump debhelper to compat level 12

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 06 Jan 2019 17:21:28 -0200

fim (0.5~rc3-3) unstable; urgency=medium

  * Bump debhelper compatibility level to 11
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)
  * Run unit tests (both at build time and for autopkgtest)
  * d/fim.doc-base: Register HTML and TXT documentation files

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 27 May 2018 15:16:45 -0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: graphics
 Priority: optional
 Maintainer: Michele Martone <michelemartone@users.sourceforge.net>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: bison,
-               debhelper (>= 10),
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: autoconf (>= 2.71),
+               bison,
+               debhelper-compat (= 13),
                flex,
                groff,
                libaa1-dev,
@@ -17,10 +18,11 @@
                libsdl1.2-dev,
                libtiff-dev,
                libfl-dev
-Standards-Version: 4.1.2
-Homepage: http://savannah.nongnu.org/projects/fbi-improved/
+Standards-Version: 4.6.0
+Homepage: https://savannah.nongnu.org/projects/fbi-improved/
 Vcs-Git: https://salsa.debian.org/debian/fim.git
 Vcs-Browser: https://salsa.debian.org/debian/fim
+Rules-Requires-Root: no
 
 Package: fim
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	VAR=' ' debian/tests/run-tests
endif

execute_after_dh_auto_install:
	## Avoid installation of duplicated upstream changelog
	rm -f debian/fim/usr/share/doc/fim/ChangeLog

=== debian/tests/control ===
Tests: run-tests
Depends: fim
Restrictions: allow-stderr

## fim 0.6~rc1

=== src/testdir/Makefile ===
#
# Makefile to run all tests for Fim (Vim-styled!)
#

BASE=../../
FIMPROG = $(BASE)/src/fim

# Uncomment this line for using valgrind.
# The output goes into a file "valgrind.$PID" (sorry, no test number).
# VALGRIND = valgrind --tool=memcheck --leak-check=yes --num-callers=15 --log-file=valgrind.log

SCRIPTS = test1.out test2.out test3.out test4.out test5.out test6.out test7.out test8.out test9.out test10.out test11.out test12.out test13.out test14.out test15.out test16.out test17.out test18.out test19.out test20.out test21.out test22.out

.SUFFIXES: .in .out

nongui: nolog $(SCRIPTS)
	@echo
	@cat test.log
	@echo "[*] ALL DONE"


$(SCRIPTS): $(FIMPROG)

clean:
	-rm -rf *.out *.failed *.rej *.orig test.log tiny.fim small.fim mbyte.fim test.ok X* valgrind.pid* fiminfo

.in.out:
	-rm -rf $*.failed test.ok test.out X* fiminfo
	cp $*.ok test.ok
	# Sleep a moment to avoid that the xterm title is messed up
	@-sleep .2
	-$(VALGRIND) $(FIMPROG) -o dumb                                           -c "quit;" -X -N --no-etc-rc-file --no-history -E $*.in $(BASE)/media/*jpg $(BASE)/media/fim.png $(BASE)/media/image.png > test.out
#	-$(VALGRIND) $(FIMPROG) -u unix.fim -U NONE --noplugin -s dotest.in $*.in
	@/bin/sh -c "if test -f test.out; then\
                  if diff $*.ok test.out; \
                  then mv -f test.out $*.out; \
                  else echo $* FAILED >>test.log; head -n 1 $*.in >>test.log; mv -f test.out $*.failed; \
                  fi \
                else echo $* NO OUTPUT >>test.log; \
                fi"
	-rm -rf X* test.ok fiminfo

nolog:
	-echo Test results: >test.log

=== debian/changelog ===
fim (0.6~rc1-2) experimental; urgency=medium

  * d/control: Add build-dependency on pkgconf

 -- Rafael Laboissière <rafael@debian.org>  Tue, 07 Mar 2023 11:16:01 -0300

fim (0.6~rc1-1) experimental; urgency=medium

  * New upstream version 0.6~rc1
  * Drop patches:
    + d/p/compile-with-gcc-9.patch (applied upstream)
    + d/p/reproducible-build.patch (applied upstream)
    + d/p/compile-with-gcc-10.patch (applied upstream)
    + d/p/update-configure-ac.patch (applied upstream)
    + d/p/honor-cppflags.patch (applied upstream)
  * d/copyright: Reflect upstream changes
  * d/control:
    + Fix Homepage URL
    + Bump Standards-Version to 4.6.2 (no changes needed)
  * d/u/metadata: Add fields Changelog, Documentation, and FAQ

 -- Rafael Laboissière <rafael@debian.org>  Tue, 07 Mar 2023 05:47:12 -0300

fim (0.5.3-10) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * d/fim.lintian-overrides: Drop obsolete override
  * d/copyright: Update Copyright years for the debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Sun, 04 Dec 2022 12:38:59 -0300

## fim 0.6~rc1.real

=== debian/changelog ===
fim (0.6~rc1.real-1) unstable; urgency=medium

  * New upstream version 0.6~rc1.real
  * d/p/sdl-dynamic-lib.patch: New patch
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Wed, 26 Jul 2023 07:22:40 -0300

fim (0.6~rc1-3) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Sat, 17 Jun 2023 16:49:07 -0300

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,10 @@
                libreadline-dev,
                libsdl1.2-dev,
                libtiff-dev,
-               libfl-dev
-Standards-Version: 4.6.0
-Homepage: https://savannah.nongnu.org/projects/fbi-improved/
+               libfl-dev,
+               pkgconf
+Standards-Version: 4.6.2
+Homepage: https://www.nongnu.org/fbi-improved/
 Vcs-Git: https://salsa.debian.org/debian/fim.git
 Vcs-Browser: https://salsa.debian.org/debian/fim
 Rules-Requires-Root: no

## fim 0.6~rc2

=== media/multipage/Makefile ===
MULTIPAGESAMPLE=sample

all: $(MULTIPAGESAMPLE).pdf $(MULTIPAGESAMPLE).dvi $(MULTIPAGESAMPLE).ps $(MULTIPAGESAMPLE).djvu

$(MULTIPAGESAMPLE).pdf: $(MULTIPAGESAMPLE).dvi

$(MULTIPAGESAMPLE).ps: $(MULTIPAGESAMPLE).dvi
	dvips $<

$(MULTIPAGESAMPLE).dvi: $(MULTIPAGESAMPLE).tex
	tex $<

$(MULTIPAGESAMPLE).djvu: $(MULTIPAGESAMPLE).pdf
	pdf2djvu $< > $@

$(MULTIPAGESAMPLE).pdf: $(MULTIPAGESAMPLE).dvi
	dvipdf $<
clean:
	rm -f *.log *.dvi *.pdf *.djvu *.ps

=== debian/changelog ===
fim (0.6~rc2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:51:55 +1100

fim (0.6~rc2-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:29:04 +0000

fim (0.6~rc2-1) unstable; urgency=medium

  * New upstream version 0.6~rc2
  * d/p/sdl-dynamic-lib.patch: Drop patch (applied upstream)
  * d/watch: Correctly mangle the "-rc" part of upstream version

 -- Rafael Laboissière <rafael@debian.org>  Sun, 24 Sep 2023 03:53:22 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fim
 Section: graphics
 Priority: optional
-Maintainer: Michele Martone <michelemartone@users.sourceforge.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michele Martone <michelemartone@users.sourceforge.net>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: autoconf (>= 2.71),
                bison,

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/,uversionmangle=s/-rc/~rc/ \
https://download.savannah.nongnu.org/releases/fbi-improved/fim-([\d.]+(?:-rc\d)?)\.tar\.gz

## fim 0.7.1

=== src/testdir/Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 nongui: nolog $(SCRIPTS)
 	@echo
 	@cat test.log
+	@! grep FAILED test.log
 	@echo "[*] ALL DONE"
 
 
@@ -29,7 +30,7 @@
 	cp $*.ok test.ok
 	# Sleep a moment to avoid that the xterm title is messed up
 	@-sleep .2
-	-$(VALGRIND) $(FIMPROG) -o dumb                                           -c "quit;" -X -N --no-etc-rc-file --no-history -E $*.in $(BASE)/media/*jpg $(BASE)/media/fim.png $(BASE)/media/image.png > test.out
+	-$(VALGRIND) $(FIMPROG) -o dumb                                           -c "quit;" -X -N --no-etc-fimrc-file --no-history -E $*.in $(BASE)/media/*jpg $(BASE)/media/fim.png $(BASE)/media/image.png > test.out
 #	-$(VALGRIND) $(FIMPROG) -u unix.fim -U NONE --noplugin -s dotest.in $*.in
 	@/bin/sh -c "if test -f test.out; then\
                   if diff $*.ok test.out; \

=== debian/changelog ===
fim (0.7.1-4) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/watch: Convert to format version 5

 -- Rafael Laboissière <rafael@debian.org>  Fri, 17 Oct 2025 07:00:41 -0300

fim (0.7.1-3) unstable; urgency=medium

  * Upload to unstable
    Closes: #1084226. Thanks to Bill Allombert for the discussion.

 -- Rafael Laboissière <rafael@debian.org>  Thu, 10 Oct 2024 03:04:15 -0300

fim (0.7.1-2) experimental; urgency=medium

  * d/p/inkscape-export.patch: New patch
  * d/control: Add inkscape to Build-depends and Suggests

 -- Rafael Laboissière <rafael@debian.org>  Wed, 09 Oct 2024 02:05:33 -0300

fim (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1
  * d/p/disable-readline-tests.patch: Refresh for new upstream version
  * Drop patches (applied upstream):
    + d/p/gtk-32bit-string-size-type.patch
    + d/p/fim-exe-version-sh.patch
    + d/p/hardening-flags.patch

 -- Rafael Laboissière <rafael@debian.org>  Mon, 20 May 2024 01:07:02 -0300

fim (0.7.0-11) unstable; urgency=medium

  * d/clean: Remove leftover file .fim_history
  * d/p/hardening-flags.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 20 Apr 2024 11:53:07 -0300

fim (0.7.0-10) unstable; urgency=medium

  * d/t/control: Add package's build-dependencies as dependencies for
    the tests

 -- Rafael Laboissière <rafael@debian.org>  Sat, 20 Apr 2024 04:00:02 -0300

fim (0.7.0-9) unstable; urgency=medium

  * d/p/fim-exe-version-sh.patch: Add patch
  * Make autopkgtest work

 -- Rafael Laboissière <rafael@debian.org>  Sat, 20 Apr 2024 01:29:56 -0300

fim (0.7.0-8) unstable; urgency=medium

  * d/p/gtk-32bit-string-size-type.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Fri, 19 Apr 2024 01:13:12 -0300

fim (0.7.0-7) unstable; urgency=medium

  * d/p/disable-readline-tests.patch: Also disable unit tests involving history

 -- Rafael Laboissière <rafael@debian.org>  Thu, 18 Apr 2024 13:40:41 -0300

fim (0.7.0-6) unstable; urgency=medium

  * d/p/disable-failing-test.patch: Drop patch
  * d/p/avoid-readline-garbage.patch: Drop patch
  * d/p/disable-readline-tests.patch: New patch
  * Ensure libcaca and GTK+ support
    + d/control: Build-depend on libcaca-dev and libgtk-3-dev
    + d/rules: Specify path for pkgconf

 -- Rafael Laboissière <rafael@debian.org>  Thu, 18 Apr 2024 03:44:56 -0300

fim (0.7.0-5) unstable; urgency=medium

  * d/p/drop-test20.patch: New patch
  * d/rules: Enable readline
  * d/p/avoid-readline-garbage.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Mon, 15 Apr 2024 14:07:12 -0300

fim (0.7.0-4) unstable; urgency=medium

  * d/rules: Disable use of readline
  * d/p/drop-test20.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Mon, 15 Apr 2024 08:09:07 -0300

fim (0.7.0-3) unstable; urgency=medium

  * d/p/disable-failing-test.patch: Comment out correct test
  * d/clean: Add src/config.h.in to the list of files to remove

 -- Rafael Laboissière <rafael@debian.org>  Sun, 14 Apr 2024 10:16:32 -0300

fim (0.7.0-2) unstable; urgency=medium

  * d/p/disable-failing-test.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sun, 14 Apr 2024 03:26:04 -0300

fim (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
  * d/copyright: Reflect upstream changes
  * d/clean: Remove left-over file media/icon_smile.bmp
  * d/control: Bump Standards-Version to 4.7.0 (no changes needed)
  * d/t/run-tests:
    + Exercise the unit tests via "make tests"
    + Use a basic value for the TERM environnement variable

 -- Rafael Laboissière <rafael@debian.org>  Sat, 13 Apr 2024 14:20:38 -0300

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: fim
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michele Martone <michelemartone@users.sourceforge.net>
+Maintainer: Michele Martone <michelemartone@users.sourceforge.net>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: autoconf (>= 2.71),
                bison,
                debhelper-compat (= 13),
                flex,
                groff,
+               inkscape,
                libaa1-dev,
+               libcaca-dev,
                libdjvulibre-dev,
                libexif-dev,
                libgif-dev,
+               libgtk-3-dev,
                libjpeg-dev,
                libpng-dev,
                libreadline-dev,
@@ -20,15 +22,15 @@
                libtiff-dev,
                libfl-dev,
                pkgconf
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://www.nongnu.org/fbi-improved/
 Vcs-Git: https://salsa.debian.org/debian/fim.git
 Vcs-Browser: https://salsa.debian.org/debian/fim
-Rules-Requires-Root: no
 
 Package: fim
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: inkscape
 Description: scriptable frame buffer, X.org and ascii art image viewer
  FIM is a highly customizable scriptable image viewer targeted at the
  users who are comfortable with software like the Vim text editor or the Mutt

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,14 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export PKG_CONFIG = pkgconf
 
 %:
 	dh $@
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	VAR=' ' debian/tests/run-tests
+	debian/tests/run-tests package-build
 endif
 
 execute_after_dh_auto_install:

=== debian/watch ===
Version: 5

Source: https://download.savannah.nongnu.org/releases/fbi-improved/
Matching-Pattern: fim-([\d.]+(?:-rc\d)?)@ARCHIVE_EXT@
Pgpsigurlmangle: s/$/.sig/
Uversionmangle: s/-rc/~rc/
